package com.fs.ad.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdHtmlClickLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.repository.CrudRepository;

/**
 * 广告点击Mapper接口
 * 
 * @author fs
 * @date 2025-01-09
 */
public interface AdHtmlClickLogMapper extends BaseMapper<AdHtmlClickLog> {
    /**
     * 查询广告点击
     * 
     * @param id 广告点击主键
     * @return 广告点击
     */
    public AdHtmlClickLog selectAdHtmlClickLogById(Long id);

    /**
     * 查询广告点击列表
     * 
     * @param adHtmlClickLog 广告点击
     * @return 广告点击集合
     */
    public List<AdHtmlClickLog> selectAdHtmlClickLogList(AdHtmlClickLog adHtmlClickLog);

    /**
     * 新增广告点击
     * 
     * @param adHtmlClickLog 广告点击
     * @return 结果
     */
    public int insertAdHtmlClickLog(AdHtmlClickLog adHtmlClickLog);

    /**
     * 修改广告点击
     * 
     * @param adHtmlClickLog 广告点击
     * @return 结果
     */
    public int updateAdHtmlClickLog(AdHtmlClickLog adHtmlClickLog);

    /**
     * 删除广告点击
     * 
     * @param id 广告点击主键
     * @return 结果
     */
    public int deleteAdHtmlClickLogById(Long id);

    /**
     * 批量删除广告点击
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdHtmlClickLogByIds(Long[] ids);

    List<AdHtmlClickLog> staticData(@Param("uidList") List<Long> uidList);
}
